# CVPM
The Control Volume Permafrost Model (CVPM) is a modular heat-transfer modeling system designed for scientific and engineering studies in permafrost terrain, and as an educational tool.  CVPM implements the nonlinear heat-transfer equations in 1-D, 2-D, and 3-D cartesian coordinates, as well as in 1-D radial and 2-D cylindrical coordinates.  To accommodate a diversity of geologic settings, a variety of materials can be specified within the model domain, including: organic-rich materials, sedimentary rocks and soils, igneous and metamorphic rocks, ice bodies, borehole fluids, and other engineering materials.  A complete description of the model physics and numerical implementation can be found in, 

   Clow, G.D., 2018. CVPM 1.1: a flexible heat-transfer modeling system for permafrost, Geoscientific Model Development, in review.

The user's guide is located in this respository at: CVPM/docs/CVPM_usersguide.pdf
